/* reset rule */

*{
    padding: 0; margin: 0;
    box-sizing: border-box;
}
/* default mobile */
body{
    color: lightyellow ;
    min-height: 100vh;
    font-size:1em;
    margin: 5px;
    border: 10px solid #6c3f8f;  
}
header{
    background-color: #6c3f8f;
    min-height: 7vh;
    text-align:center;
}
header h1{
    font-size: 1.3em;
    min-height:4vh;
}
header p{
    background-color: #d4af37;
}
.nav_div {
    display: flex;
    background-color: #d4af37;
    flex-flow: row wrap;
    justify-content: space-evenly;
    
}

.nav_div nav{
    
    margin-top: 4px;
    box-shadow: 8px 8xp 20px #1a1625;
    text-align: center; 
}
a{
    margin: 6px auto;
    color: #6c3f8f;
    text-decoration: none;
    border: 1px solid #1a1625;
    font-size: 1.1em;
    gap: 10px;
    line-height:1;
    box-shadow: 2px 2xp 10px #1a1625;
    text-align: center;

    
    
}
.hero{
    background-image:url(/cis195/hobby/dune.jpeg);
    min-height: 30vh;
    background-size:cover;
    background-position: center;
}

.intro {
    min-height: 15vh;
    background-color:lightyellow;
    font-size: 1.2em;
    line-height: 1.5;
    background-color: #6c3f8f;
    border: 4px solid #d4af37;
    padding: 4px;
    border-left: 0;
    border-right: 0;
    margin: 0 auto;
}
h2{
    font-size: 1.5em;
}
.booklist {
    background-color: #6c3f8f;
    
}

.scifi {
    list-style-type: none;
    display: flex;
    flex-direction: column;
    text-align: left;
    min-height: 20vh;
    line-height: 1.5;
    margin: 0 auto ;
    padding: 20px 0px;
    background-color:#1a1625;
    text-align: center;


}
.scifi h1{
    margin: 0 auto;
}
.scifi ul li  {
    text-align: center;
    font-size: 1.3em;
    border: 1px solid #6c3f8f;
}

.fantasy {
   list-style-type: none;
    display: flex;
    flex-direction: column;
    text-align: left;
    min-height: 20vh;
    line-height: 1.5;
    margin: 0 auto ;
    padding: 20px 0px;
    background-color:#1a1625;
    text-align: center;


}
.fantasy h1{
    margin: 0 auto;
    text-align: center;
}
.fantasy ul li{
   
    text-align: center;
    font-size: 1.3em;
    border: 1px solid #6c3f8f;
}
.end_pic figure {
    background-image:url(/cis195/images/darrow.jpg);
    min-height: 35vh;
    background-repeat: no-repeat;
    background-size:cover;
    background-position: center top;
}
footer{
    text-align:center;
    color: lightyellow;
    background-color: #1a1625;
    border: 5px solid #d4af37;
    
}

/* Tablet */
@media (min-width: 756px) {
  



.booklist {
    display:flex;
    border: 4px solid #d4af37
}
 ul  {
    list-style-type: none;
}
.scifi  {
flex:1;
border-right: 2px solid #6c3f8f
}
.fantasy{
flex:1;
}

.hero figure{
    background-image: url(/cis195/hobby/dune_big.jpg);
    background-size:cover;
    background-position: center;
    min-height: 40vh;
}
.end_pic figure{
    background-image: url(/cis195/images/darrow_big.jpg);
    background-size: cover;
    background-position: 40% 20%;
    min-height: 40vh;
}

}
/* Desktop */
@media (min-width: 1024px){
    body{
        width: 90vw;
        margin: 0 auto;
        background-color:#1a1625;
    }
    nav{
        font-size: 1.3em;
        justify-content: space-evenly;
        display:flex;
        justify-content: center;
    
    }
    nav a{
        margin: 0 6px;
        flex:1;
    }
.hero figure{
    background-image: url(/cis195/images/dune_biger.jpg);
    background-size:cover;
    background-position: 10% 45%;
    min-height: 55vh;
}
.end_pic figure{
    background-image: url(/cis195/images/darrow_biger.jpg);
    background-size: cover;
    background-position: 40% 15%;
    min-height: 50vh;
}
header h1{
    font-size: 2em;
    min-height:4vh;
}
header p{
    background-color: #d4af37;
    font-size: 1.5em;
}

}

